bin_PROGRAMS = pixie
lib_LTLIBRARIES = pixie.la

pixie_la_SOURCES = imagepreview.cpp batch.cpp fileop.cpp  \
	dirtree.cpp imageheaders.cpp dialogs.cpp \
        uimanager.cpp hotlistbox.cpp completion.cpp \
	screengrab.cpp aniplayer.cpp slideshow.cpp border.cpp \
	htmlexportwizard.cpp htmlexport.cpp imagecompare.cpp \
	rightclick.cpp browser_sort.cpp \
	browser.cpp compressedgif.cpp attributedialog.cpp \
        imagebuffer.cpp filelist.cpp imagelistitem.cpp imageutils.cpp \
        fullscreen.cpp scaledtoplevel.cpp main.cpp scrolltoplevel.cpp \
        ifapp.cpp dndlistbox.cpp about.cpp catagorymgr.cpp jpegtransform.cpp

pixie_la_COMPILE_FIRST = imagedata.h
METASOURCES = AUTO

INCLUDES = -I$(srcdir)/../ $(all_includes) -I$(MAGICKPREFIX)/include/magick 

pixie_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -L/usr/local/lib -module -avoid-version
pixie_la_LIBADD = ../misc/libpixie_misc.la $(LIB_KDEUI) $(LIB_KFILE) $(LIB_KSYCOCA) -lkdeprint -lkdefx -lMagick -ltiff 

pixie_SOURCES = dummy.cpp
pixie_LDADD = pixie.la 
pixie_LDFLAGS = $(all_libraries) $(KDE_RPATH)

CLEANFILES = dummy.cpp imagedata.h
 
imagedata.h: 
	$(UIC) -embed PixiePlus embeddedpics/*.png > imagedata.h
 
dummy.cpp:
	echo > dummy.cpp

messages:
	$(XGETTEXT) `find . -name "*.cpp"` -o $(podir)/pixie.pot

